/*
 * This software was developed at the National Institute of Standards and Technology
 * by employees of the Federal Government in the course of their official duties.
 * Pursuant to Title 17 Section 105 of the United States Code this software is not
 * subject to copyright protection within the United States and is in the public domain.
 * The software is an experimental system. NIST assumes no responsibility whatsoever for
 * its use by any party.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS." YOU ACCEPT THE SOFTWARE "AS IS" AND ACKNOWLEDGE
 * THAT NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR STATUTORY, INCLUDING,
 * WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, NON-INFRINGEMENT AND DATA ACCURACY. NIST DOES NOT REPRESENT OR WARRANT THAT
 * THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT ANY
 * DEFECTS WILL BE CORRECTED. NIST DOES NOT WARRANT OR MAKE ANY REPRESENTATIONS
 * REGARDING THE USE OF THE SOFTWARE OR THE RESULTS THEREOF, INCLUDING BUT NOT LIMITED
 * TO THE CORRECTNESS, ACCURACY, RELIABILITY, OR USEFULNESS OF THE SOFTWARE.
 * 
 * You may freely use, copy or distribute this software.Please include appropriate
 * attribution.
 */

package com.simfill.gui;

public class LogLine
{
	public LogLine( String text, LogLineAttributes attributes, boolean useColor )
	{
		m_text = text;
		m_attributes = attributes;
		m_useColor = useColor;
	}
	
	// Returns the text at the HTML format
	public String getHTML()
	{
		if( m_html == null )
		{
			if( m_useColor )
			{
				// TODO: sanitize the text
				m_html = "<font color='" + m_attributes.getColor() + "'>" + m_text + "</font><br>\n";
			}
			else
			{
				// TODO: sanitize the text
				m_html = m_text + "\n";
			}
		}
		
		return m_html;
	}
	
	public LogLineAttributes getAttributes()
	{
		return m_attributes;
	}
	
	private LogLineAttributes m_attributes;
	private String m_text;
	private String m_html;
	private boolean m_useColor;
}
