/*
 * This software was developed at the National Institute of Standards and Technology
 * by employees of the Federal Government in the course of their official duties.
 * Pursuant to Title 17 Section 105 of the United States Code this software is not
 * subject to copyright protection within the United States and is in the public domain.
 * The software is an experimental system. NIST assumes no responsibility whatsoever for
 * its use by any party.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS." YOU ACCEPT THE SOFTWARE "AS IS" AND ACKNOWLEDGE
 * THAT NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR STATUTORY, INCLUDING,
 * WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, NON-INFRINGEMENT AND DATA ACCURACY. NIST DOES NOT REPRESENT OR WARRANT THAT
 * THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT ANY
 * DEFECTS WILL BE CORRECTED. NIST DOES NOT WARRANT OR MAKE ANY REPRESENTATIONS
 * REGARDING THE USE OF THE SOFTWARE OR THE RESULTS THEREOF, INCLUDING BUT NOT LIMITED
 * TO THE CORRECTNESS, ACCURACY, RELIABILITY, OR USEFULNESS OF THE SOFTWARE.
 * 
 * You may freely use, copy or distribute this software.Please include appropriate
 * attribution.
 */

package com.simfill.gsm;

public class SMSUserDataHeaderConcat extends SMSUserDataHeaderElement
{
	public SMSUserDataHeaderConcat( int ref, int max, int seq )
	{
		super( IEI_CONCATENATED );
		
		byte [] data = new byte[ 3 ];
		
		// FIXME check the values
		data[ 0 ] = ( byte )ref;
		data[ 1 ] = ( byte )max;
		data[ 2 ] = ( byte )seq;
		
		setData( data );
	}
	
	public String toString()
	{
		StringBuilder storage = new StringBuilder();
		
		// FIXME: check the size of the array
		byte [] data = getData();
		
		storage.append( " - type: concatenated message, reference: " );
		storage.append( data[ 2 ] );
		storage.append( ", part: " );
		storage.append( data[ 4 ] );
		storage.append( "/" );
		storage.append( data[ 3 ] );
		
		
		return storage.toString();
	}
}
