/*
 * This software was developed at the National Institute of Standards and Technology
 * by employees of the Federal Government in the course of their official duties.
 * Pursuant to Title 17 Section 105 of the United States Code this software is not
 * subject to copyright protection within the United States and is in the public domain.
 * The software is an experimental system. NIST assumes no responsibility whatsoever for
 * its use by any party.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS." YOU ACCEPT THE SOFTWARE "AS IS" AND ACKNOWLEDGE
 * THAT NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR STATUTORY, INCLUDING,
 * WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, NON-INFRINGEMENT AND DATA ACCURACY. NIST DOES NOT REPRESENT OR WARRANT THAT
 * THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT ANY
 * DEFECTS WILL BE CORRECTED. NIST DOES NOT WARRANT OR MAKE ANY REPRESENTATIONS
 * REGARDING THE USE OF THE SOFTWARE OR THE RESULTS THEREOF, INCLUDING BUT NOT LIMITED
 * TO THE CORRECTNESS, ACCURACY, RELIABILITY, OR USEFULNESS OF THE SOFTWARE.
 * 
 * You may freely use, copy or distribute this software.Please include appropriate
 * attribution.
 */

package com.simfill.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFileChooser;

public class MainController implements ActionListener
{
	public MainController( MainModel model, NewView view )
	{
		m_model = model;
		m_view  = view;
		
		m_view.addLoadCardListener( this );
		m_view.addLoadDataListener( this );
		m_view.addProceedListener ( this );
	}
	
	public void actionPerformed( ActionEvent event )
	{
		if( event.getActionCommand().equals( "loadData" ) )
		{
			final JFileChooser fc = new JFileChooser( "./data" );
			
			if ( fc.showOpenDialog( m_view ) == JFileChooser.APPROVE_OPTION )
			{
				m_model.loadDataFile( fc.getSelectedFile() );
			}
		}
		else if( event.getActionCommand().equals( "loadCard" ) )
		{
			final JFileChooser fc = new JFileChooser( "./data" );
			
			if ( fc.showOpenDialog( m_view ) == JFileChooser.APPROVE_OPTION )
			{
				m_model.loadCardFile( fc.getSelectedFile() );
			}
		}
		else if( event.getActionCommand().equals( "proceed" ) )
		{
			m_model.populate();
		}
	}
	
	private MainModel m_model;
	private NewView   m_view;
}
